Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.6.2, ADTF 3.6.3

Requester's Priority: Normal Platform: Other Linux 64bit, Ubuntu 18.04 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Ich wollte mich erkundigen, wie die offizielle Support-Roadmap für Linux-Distributionen ist.

Die aktuell unterstützte Version ist ja nur ubuntu 16.04. Wie ist der Plan auf v.18.04 oder neuer umzusteigen?

Wenn wir eine andere Linux-Version nutzen würden (e.g. RedHat) wäre dies dann noch Supported? Oder wären etwaige Probleme

dann selbst zu lösen?

Lösung

Die aktuell unterstützte Version ist ja nur ubuntu 16.04. Wie ist der Plan auf v.18.04 oder neuer umzusteigen?

 Das wurde zuletzt im Kundenforum abgelehnt, da nicht alle Firmen eine 18.04 haben und wir somit minimum 16.04 gewährleisten

müssen. Stand heute.

Du kannst aber bedenkenlos eine höhere Ubuntu Version nutzen, entscheidend sind die minimalen Requirements, das sollte mit

18.04 ja erfüllt sein.

Siehe https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html#section_linux_x64_requirements

Das ist dann aber eher Build als Runtime abhängig.

Wenn wir eine andere Linux-Version nutzen würden (e.g. RedHat) wäre dies dann noch Supported? Oder wären etwaige

Probleme dann selbst zu lösen?

 Auch hier gilt es die minimalen Requirements zu erfüllen, dann dürfte es keine Probleme geben.

Es bedarf an der ein oder anderen Stelle ggf. Anpassungen was UI betrifft (kommt dann immer auf Distribution/Desktop Varianten

an, KDE, Gnome, Unity, ... und sonstige Möglichkeiten), diese können wir nicht in aller Form freitesten.

Deshalb hat man sich auf eine Referenzplattform mit Ubuntu geeinigt, aktuell 16.04 LTS, bisher kein Bedarf auf einen Wechsel.

Solltest du bei einer Distribution/Kombination in Probleme laufen, einfach bei uns melden, dann finden wir eine Lösung... aber

solange die minimalen Anforderungen erfüllt werden, wird das auch supported, siehe nochmal Doku !

PS: Bei unseren Entwicklern sind verschiedene Distributionen im Einsatz, das hilft schon mal etwaige Schwierigkeiten vorzubeugen,

wenngleich nicht ins Detail getested

History

#1 - 2020-02-04 08:55 - hidden

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to ADTF::Common

Hallo Peter,

Die aktuell unterstützte Version ist ja nur ubuntu 16.04. Wie ist der Plan auf v.18.04 oder neuer umzusteigen?
 Das wurde zuletzt im Kundenforum abgelehnt, da nicht alle Firmen eine 18.04 haben und wir somit minimum 16.04 gewährleisten müssen. Stand

heute.

Du kannst aber bedenkenlos eine höhere Ubuntu Version nutzen, entscheidend sind die minimalen Requirements, das sollte mit 18.04 ja erfüllt sein.

Siehe https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html#section_linux_x64_requirements

Das ist dann aber eher Build als Runtime abhängig.

Wenn wir eine andere Linux-Version nutzen würden (e.g. RedHat) wäre dies dann noch Supported? Oder wären etwaige Probleme dann selbst

zu lösen?

 Auch hier gilt es die minimalen Requirements zu erfüllen, dann dürfte es keine Probleme geben.

Es bedarf an der ein oder anderen Stelle ggf. Anpassungen was UI betrifft (kommt dann immer auf Distribution/Desktop Varianten an, KDE, Gnome,

Unity, ... und sonstige Möglichkeiten), diese können wir nicht in aller Form freitesten.

Deshalb hat man sich auf eine Referenzplattform mit Ubuntu geeinigt, aktuell 16.04 LTS, bisher kein Bedarf auf einen Wechsel.

Solltest du bei einer Distribution/Kombination in Probleme laufen, einfach bei uns melden, dann finden wir eine Lösung... aber solange die minimalen

Anforderungen erfüllt werden, wird das auch supported, siehe nochmal Doku !

PS: Bei unseren Entwicklern sind verschiedene Distributionen im Einsatz, das hilft schon mal etwaige Schwierigkeiten vorzubeugen, wenngleich nicht

ins Detail getested

#2 - 2020-02-13 14:58 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#5 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
